package com.jpattern.orm.session;

import java.sql.SQLException;

import com.jpattern.orm.mapper.ITableMap;

/**
 * 
 * @author Francesco Cina
 *
 * 21/mag/2011
 */
public interface ISessionProvider {

	ISessionStrategy getSessionStrategy();

	void updateTableMap(ITableMap tableMap, boolean enableDBScan) throws SQLException;
	
}
